package org.greenstone.atea;

import java.io.*;
import java.util.zip.GZIPInputStream;

import org.apache.log4j.Logger;

public class Utility {
    private static Logger logger = Logger.getLogger(org.greenstone.atea.Utility.class.getName());
    
    // Run gunzip
    // To avoid making this linux specific, use Java to unzip, instead of running gunzip as process
    // https://www.mkyong.com/java/how-to-decompress-file-from-gzip-file/
    public static boolean unzipFile(File inZipFile, File outFile) {	
	
	byte[] buffer = new byte[1024];

	// try-with-resources will safely close streams/dispose resources on success or error and exceptions
	try (	    
	    GZIPInputStream gzis = new GZIPInputStream(new FileInputStream(inZipFile));	    
	    FileOutputStream out = new FileOutputStream(outFile);
	) {
	    int len;
	    while ((len = gzis.read(buffer)) > 0) {
        	out.write(buffer, 0, len);
	    }
	    
	    //gzis.close();
	    //out.close();
	    
	    logger.debug("Unzipped " + inZipFile + " to " + outFile);
	    
	} catch(IOException ex) {
	    //error("Failed to unzip " + inZipFile);
	    System.err.println("Failed to unzip " + inZipFile);
	    ex.printStackTrace();
	    return false;
	}

	return true;
    }

}
